package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "PapGastrointestinal_T")
public class PapGastrointestinal extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectRegistrasiPelayananPasienFk")
	//@NotNull(message = "RegistrasiPelayananPasien tidak boleh kosong")
	private RegistrasiPelayananPasien registrasiPelayananPasien;	
	
	@Column(name = "ObjectRegistrasiPelayananPasienFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false, nullable = true)
	private String registrasiPelayananPasienId;

	@ManyToOne
	@JoinColumn(name = "ObjectPasienFk")
	@NotNull(message = "Pasien tidak boleh kosong")
	private Pasien pasien;	
	
	@Column(name = "ObjectPasienFk", insertable = false, updatable = false, nullable = false)
	private Integer pasienId;
	
	@NotNull(message = "Tgl Input tidak boleh kosong")
	@Column(name = "tglInput", nullable = false)
	@Caption(value = "Tgl Input")
	private Date tglInput;

	@ManyToOne
	@JoinColumn(name = "ObjectMulutFk")
	@Caption(value="Object Mulut")
	private DataMulut mulut;
	
	@Column(name = "ObjectMulutFk", insertable=false,updatable=false)
	private Integer mulutId;	
	
	@ManyToOne
	@JoinColumn(name = "ObjectMuntahFk")
	@Caption(value="Object Muntah")
	private StatusAdaTidakAda muntah;
	
	@Column(name = "ObjectMuntahFk", insertable=false,updatable=false)
	private Integer muntahId;	

	@ManyToOne
	@JoinColumn(name = "ObjectMualFk")
	@Caption(value="Object Mual")
	private StatusAdaTidakAda mual;
	
	@Column(name = "ObjectMualFk", insertable=false,updatable=false)
	private Integer mualId;	

	@ManyToOne
	@JoinColumn(name = "ObjectNyeriUluHatiFk")
	@Caption(value="Object Nyeri Ulu Hati")
	private StatusAdaTidakAda nyeriUluHati;
	
	@Column(name = "ObjectNyeriUluHatiFk", insertable=false,updatable=false)
	private Integer nyeriUluHatiId;	

	@ManyToOne
	@JoinColumn(name = "ObjectAscitesFk")
	@Caption(value="Object Ascites")
	private StatusAdaTidakAda ascites;
	
	@Column(name = "ObjectAscitesFk", insertable=false,updatable=false)
	private Integer ascitesId;	

	@Column(name = "peristaltikUsus", nullable = true)
	@Caption(value="Peristaltik Usus")
	private String peristaltikUsus;
	
	@Column(name = "lingkarPerut", nullable = true)
	@Caption(value="Lingkar Perut")
	private String lingkarPerut;
	
	@Column(name = "isNormal", nullable = false)
	@Caption(value = "Is Normal")
	private Boolean isNormal;

	@ManyToOne
	@JoinColumn(name = "ObjectPolaMakanFk")
	@Caption(value="Object PolaMakan")
	private StatusTeraturTidak polaMakan;
	
	@Column(name = "ObjectPolaMakanFk", insertable=false,updatable=false)
	private Integer polaMakanId;	

	@ManyToOne
	@JoinColumn(name = "ObjectNafsuMakanFk")
	@Caption(value="Object NafsuMakan")
	private StatusBaikKurang nafsuMakan;
	
	@Column(name = "ObjectNafsuMakanFk", insertable=false,updatable=false)
	private Integer nafsuMakanId;	

	public String getPeristaltikUsus() {
		return peristaltikUsus;
	}
	public void setPeristaltikUsus(String peristaltikUsus) {
		this.peristaltikUsus = peristaltikUsus;
	}
	public String getLingkarPerut() {
		return lingkarPerut;
	}
	public void setLingkarPerut(String lingkarPerut) {
		this.lingkarPerut = lingkarPerut;
	}
	public RegistrasiPelayananPasien getRegistrasiPelayananPasien() {
		return registrasiPelayananPasien;
	}
	public void setRegistrasiPelayananPasien(RegistrasiPelayananPasien registrasiPelayananPasien) {
		this.registrasiPelayananPasien = registrasiPelayananPasien;
	}
	public Pasien getPasien() {
		return pasien;
	}
	public void setPasien(Pasien pasien) {
		this.pasien = pasien;
	}
	public Date getTglInput() {
		return tglInput;
	}
	public void setTglInput(Date tglInput) {
		this.tglInput = tglInput;
	}
	public DataMulut getMulut() {
		return mulut;
	}
	public void setMulut(DataMulut mulut) {
		this.mulut = mulut;
	}
	public StatusAdaTidakAda getMuntah() {
		return muntah;
	}
	public void setMuntah(StatusAdaTidakAda muntah) {
		this.muntah = muntah;
	}
	public StatusAdaTidakAda getMual() {
		return mual;
	}
	public void setMual(StatusAdaTidakAda mual) {
		this.mual = mual;
	}
	public StatusAdaTidakAda getNyeriUluHati() {
		return nyeriUluHati;
	}
	public void setNyeriUluHati(StatusAdaTidakAda nyeriUluHati) {
		this.nyeriUluHati = nyeriUluHati;
	}
	public StatusAdaTidakAda getAscites() {
		return ascites;
	}
	public void setAscites(StatusAdaTidakAda ascites) {
		this.ascites = ascites;
	}
	public Boolean getIsNormal() {
		return isNormal;
	}
	public void setIsNormal(Boolean isNormal) {
		this.isNormal = isNormal;
	}
	public StatusTeraturTidak getPolaMakan() {
		return polaMakan;
	}
	public void setPolaMakan(StatusTeraturTidak polaMakan) {
		this.polaMakan = polaMakan;
	}
	public StatusBaikKurang getNafsuMakan() {
		return nafsuMakan;
	}
	public void setNafsuMakan(StatusBaikKurang nafsuMakan) {
		this.nafsuMakan = nafsuMakan;
	}
	
}
